POST api/jko_pay/notify

Request Information

URI Parameters

None.

Body Parameters

JkoResultNotificationDto
NameDescriptionTypeAdditional information
transaction

TransactionDetailDto

None.

Request Formats

application/json, text/json

Sample:
{
  "transaction": {
    "platform_order_id": "sample string 1",
    "status": 2,
    "tradeNo": "sample string 3",
    "trans_time": "sample string 4",
    "currency": "sample string 5",
    "final_price": "sample string 6",
    "redeem_amount": "sample string 7",
    "debit_amount": "sample string 8",
    "channel_type": "sample string 9",
    "invoice_vehicle": "sample string 10",
    "mask_no": "sample string 11",
    "redeem_detail": {
      "jko_coin_amount": 1.0,
      "official_coupon_amount": 2.0,
      "store_coupon_amount": 3.0
    }
  }
}

text/xml

Sample:
<JkoResultNotificationDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/pcone.Data.Dto">
  <transaction>
    <channel_type>sample string 9</channel_type>
    <currency>sample string 5</currency>
    <debit_amount>sample string 8</debit_amount>
    <final_price>sample string 6</final_price>
    <invoice_vehicle>sample string 10</invoice_vehicle>
    <mask_no>sample string 11</mask_no>
    <platform_order_id>sample string 1</platform_order_id>
    <redeem_amount>sample string 7</redeem_amount>
    <redeem_detail>
      <jko_coin_amount>1</jko_coin_amount>
      <official_coupon_amount>2</official_coupon_amount>
      <store_coupon_amount>3</store_coupon_amount>
    </redeem_detail>
    <status>2</status>
    <tradeNo>sample string 3</tradeNo>
    <trans_time>sample string 4</trans_time>
  </transaction>
</JkoResultNotificationDto>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, text/xml

Sample:

Sample not available.